## org.hibernate.metamodel.source.annotations.entity
Class ConfiguredClass

    java.lang.Object
      org.hibernate.metamodel.source.annotations.entity.ConfiguredClass

Direct Known Subclasses:
  EmbeddableClass, EntityClass

    public class ConfiguredClass

extends Object

Base class for a configured entity, mapped super class or embeddable

Field Summary
`static org.jboss.logging.Logger` `LOG`

Constructor Summary
`ConfiguredClass(org.jboss.jandex.ClassInfo classInfo, AccessType defaultAccessType, ConfiguredClass parent, AnnotationBindingContext context)`

Method Summary
`Iterable<AssociationAttribute>` `getAssociationAttributes()`
`Map<String,AttributeOverride>` `getAttributeOverrideMap()`
`AccessType` `getClassAccessType()`
`org.jboss.jandex.ClassInfo` `getClassInfo()`
`Class<?>` `getConfiguredClass()`
`String` `getCustomTuplizer()`
`Map<String,EmbeddableClass>` `getEmbeddedClasses()`
`Iterable<BasicAttribute>` `getIdAttributes()`
`EntityBindingContext` `getLocalBindingContext()`
`String` `getName()`
`ConfiguredClass` `getParent()`
`Iterable<BasicAttribute>` `getSimpleAttributes()`
`BasicAttribute` `getVersionAttribute()`
`String` `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### LOG

    public static final org.jboss.logging.Logger LOG

Constructor Detail

### ConfiguredClass

    public ConfiguredClass(org.jboss.jandex.ClassInfo classInfo,
                           AccessType defaultAccessType,
                           ConfiguredClass parent,
                           AnnotationBindingContext context)

Method Detail

### getName

    public String getName()

### getConfiguredClass

    public Class<?> getConfiguredClass()

### getClassInfo

    public org.jboss.jandex.ClassInfo getClassInfo()

### getParent

    public ConfiguredClass getParent()

### getLocalBindingContext

    public EntityBindingContext getLocalBindingContext()

### getSimpleAttributes

    public Iterable<BasicAttribute> getSimpleAttributes()

### getIdAttributes

    public Iterable<BasicAttribute> getIdAttributes()

### getVersionAttribute

    public BasicAttribute getVersionAttribute()

### getAssociationAttributes

    public Iterable<AssociationAttribute> getAssociationAttributes()

### getEmbeddedClasses

    public Map<String,EmbeddableClass> getEmbeddedClasses()

### getAttributeOverrideMap

    public Map<String,AttributeOverride> getAttributeOverrideMap()

### getClassAccessType

    public AccessType getClassAccessType()

### getCustomTuplizer

    public String getCustomTuplizer()

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.